Quick Answer: How Do I Fix This Device Is Not Compatible With This Version?

Is my device AR compatible?

Newer device models will have AR software already integrated into your phone.

Make sure you are running iOS 11.0 on your iPhone or have the ARCore app installed from the Google Play Store.

Requirements for ARCore for Android: Android 7.0 or later (some devices will need at least Android 8.0 in order for ARCore to work).

How do I fix this app is not compatible with this device?

It appears to be an issue with Google’s Android operating system. To fix the “your device is not compatible with this version” error message, try clearing the Google Play Store cache, and then data. Next, restart the Google Play Store and try installing the app again.

How do I download my device isn’t compatible with this version?

Method 1 to Fix ‘Your Device isn’t Compatible with this Version’Stop the running of Google Play Store application in your Android phone’s background.Tap on ‘Settings’ on your Android device.Select ‘Application Manager’Find ‘Google Play services’ and tap on it.Select ‘Clear Cache’ option.

How do I fix this app is not compatible with Windows 10?

This app will not work on your device [FIXED]Delete Windows Update cache files.Make sure that you have the latest updates installed.Search for the application in Windows Store.Reinstall the app.Reset the Windows Store.Reset the app.Run the app troubleshooter.Make sure the Application Identity service is running.More items…•

How do I install an older version of an app?

Installing old versions of Android apps involves downloading the APK file of an app’s older version from an external source and then sideloading it to the device for installation.

How do you upgrade your Android version?

Updating your Android.Make sure your device is connected to Wi-Fi.Open Settings.Select About Phone.Tap Check for Updates. If an update is available, an Update button will appear. Tap it.Install. Depending on the OS, you’ll see Install Now, Reboot and install, or Install System Software. Tap it.

How do I make my phone AR compatible?

To make an app AR Required, make sure the Edit > Project Settings > ARCore > ARCore Required menu item is checked as shown below. It is checked by default. Your app will automatically perform runtime checks to make sure that the device supports ARCore and has Google Play Services for AR installed.